<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of plugin autrcomment for DotClear.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$core->addBehavior('initWidgets',array('AutrCommentBehaviors','initWidgets'));

class AutrCommentBehaviors
{
	public static function initWidgets(&$widgets)
	{
		$widgets->create('AutrComment',__('Last comments other'),array('tplAutrComment','AutrCommentWidget'));
		$widgets->AutrComment->setting('title',__('Title:'),__('Last comments'));
		$widgets->AutrComment->setting('limit',__('Comments limit:'),10);
		$widgets->AutrComment->setting('nb_letter',__('Number letter to keep (empty means all the content comment):'),'50');
		$widgets->AutrComment->setting('homeonly',__('Home page only'),1,'check');
	}
}
?>
