<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear miniSEO plugin.
# Copyright (c) 2008 Francis Trautmann,  and contributors.
# Many, many thanks to Olivier Meunier and the Dotclear Team.
# All rights reserved.
#
# Mymeta plugin for DC2 is free sofwtare; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
$core->tpl->addValue('AutrComment',array('tplAutrComment','AutrCommentWidget'));
class tplAutrComment
{
	public static function AutrCommentWidget(&$w)
	{
		global $core;
		if ($w->homeonly && $core->url->type != 'default') {
			return;
		}
		
		$nb_letter = abs((integer) $w->nb_letter);
		if ($nb_letter==0){ 
			$nb_letter = 1000; 
		}
		$params['limit'] = abs((integer) $w->limit);
		$params['order'] = 'comment_dt desc';
		$rs = $core->blog->getComments($params);
		
		if ($rs->isEmpty()) {
			return;
		}
		
		$res = '<div class="autrcomment">'.
		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
		'<ul>';
		
		while ($rs->fetch())
		{
			$res .= '<li title="'.html::escapeHTML($rs->post_title).'"><a href="'.$rs->getPostURL().'#c'.$rs->comment_id.'"><span>'.
			html::escapeHTML($rs->comment_author).'</span> - '.
			html::escapeHTML(text::cutString(strip_tags($rs->comment_content),$nb_letter)).
			'...</a></li>';
		}
		
		$res .= '</ul></div>';
		
		return $res;
	}
}
?>
